## com.sun.jersey.core.spi.component.ioc
Interface IoCManagedComponentProvider

All Superinterfaces:
  ComponentProvider, IoCComponentProvider, IoCInstantiatedComponentProvider

    public interface IoCManagedComponentProvider

extends IoCInstantiatedComponentProvider

An IoC-managed component provider.

The component is managed by the underlying IoC framework, which includes managing the construction, injection and destruction according to the life-cycle declared in the IoC framework's semantics. It is the reponsibility of the Jersey runtime to inject Jersey-based artfacts onto the component.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`ComponentScope` | `getScope()` Get the component scope.

Methods inherited from interface com.sun.jersey.core.spi.component.ioc.IoCInstantiatedComponentProvider
`getInjectableInstance`

Methods inherited from interface com.sun.jersey.core.spi.component.ComponentProvider
`getInstance`

Method Detail

### getScope

    ComponentScope getScope()

  Get the component scope.

  The scope of the component declared by the underlying IoC framework needs to be mapped to a `ComponentScope` value supported by the runtime. This enables the runtime to correctly perform its own injecton onto a component instance.

  Returns:
    the scope

Copyright © 2017 Oracle Corporation. All Rights Reserved.